package com.zehong.system.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zehong.common.annotation.Excel;
import com.zehong.common.core.domain.BaseEntity;

/**
 * 薄弱跟踪对象 t_enterprise_ranking_risk
 * 
 * @author zehong
 * @date 2026-03-17
 */
public class TEnterpriseRankingRisk extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 评价风险指标id */
    private Long riskId;

    /** 年度 */
    @Excel(name = "年度")
    private Integer yearNum;

    /** 企业id */
    @Excel(name = "企业id")
    private String beyondEnterpriseId;

    /** 企业名称 */
    @Excel(name = "企业名称")
    private String enterpriseName;

    /** 不合格指标项 */
    @Excel(name = "不合格指标项")
    private String indicator;

    /** 总分 */
    @Excel(name = "总分")
    private BigDecimal allNum;

    /** 指标分 */
    @Excel(name = "指标分")
    private BigDecimal indicatorNum;

    /** 风险问题 */
    @Excel(name = "风险问题")
    private String problem;

    /** 解决方案 */
    @Excel(name = "解决方案")
    private String plan;

    /** 附件 */
    @Excel(name = "附件")
    private String fileUrl;

    /** 状态 1处理中 2已处理 */
    @Excel(name = "状态 1处理中 2已处理")
    private Integer status;

    public void setRiskId(Long riskId) 
    {
        this.riskId = riskId;
    }

    public Long getRiskId() 
    {
        return riskId;
    }
    public void setYearNum(Integer yearNum) 
    {
        this.yearNum = yearNum;
    }

    public Integer getYearNum() 
    {
        return yearNum;
    }
    public void setBeyondEnterpriseId(String beyondEnterpriseId) 
    {
        this.beyondEnterpriseId = beyondEnterpriseId;
    }

    public String getBeyondEnterpriseId() 
    {
        return beyondEnterpriseId;
    }
    public void setEnterpriseName(String enterpriseName) 
    {
        this.enterpriseName = enterpriseName;
    }

    public String getEnterpriseName() 
    {
        return enterpriseName;
    }
    public void setIndicator(String indicator) 
    {
        this.indicator = indicator;
    }

    public String getIndicator() 
    {
        return indicator;
    }
    public void setAllNum(BigDecimal allNum) 
    {
        this.allNum = allNum;
    }

    public BigDecimal getAllNum() 
    {
        return allNum;
    }
    public void setIndicatorNum(BigDecimal indicatorNum) 
    {
        this.indicatorNum = indicatorNum;
    }

    public BigDecimal getIndicatorNum() 
    {
        return indicatorNum;
    }
    public void setProblem(String problem) 
    {
        this.problem = problem;
    }

    public String getProblem() 
    {
        return problem;
    }
    public void setPlan(String plan) 
    {
        this.plan = plan;
    }

    public String getPlan() 
    {
        return plan;
    }
    public void setFileUrl(String fileUrl) 
    {
        this.fileUrl = fileUrl;
    }

    public String getFileUrl() 
    {
        return fileUrl;
    }
    public void setStatus(Integer status) 
    {
        this.status = status;
    }

    public Integer getStatus() 
    {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("riskId", getRiskId())
            .append("yearNum", getYearNum())
            .append("beyondEnterpriseId", getBeyondEnterpriseId())
            .append("enterpriseName", getEnterpriseName())
            .append("indicator", getIndicator())
            .append("allNum", getAllNum())
            .append("indicatorNum", getIndicatorNum())
            .append("problem", getProblem())
            .append("plan", getPlan())
            .append("fileUrl", getFileUrl())
            .append("status", getStatus())
            .append("createTime", getCreateTime())
            .toString();
    }
}
